data:
  path: "/mounts/Datasets4/GeoLifeCLEF2022/" 
  batch_size: 32
  num_workers: 4
  valid_ratio: 0.2
  dataset_kwargs:
    subset: "train+val"
    region: "both"
    patch_data: ["rgb", "near_ir"]
    use_rasters: False
  transforms:
    - StackPatches: {}
    - transforms.ToTensor: {} 
    - transforms.ConvertImageDtype: {"dtype": "torch.float32"}
    - transforms.Resize: {"size": "(224, 224)", "antialias": "True"}

logging:
  logdir: "/usr/users/sdi-labworks-2023-2024/sdi-labworks-2023-2024_33/git-projects/deep_challenge_team_5/logs"
  wandb:
    project: "Pedagogical challenge" 
    entity: "deep_challenge_5" 
    tags: ["resnet18", "TimmCNN"] 
  
nepochs: 20

model:
  class: TimmCNN
  model_name: "resnet18"
  kwargs:
    pretrained: True

  loss: "CrossEntropyLoss"
  optim:
    algo: SGD
    params:
      lr: 0.01
